## hrp convert

Convert multiple source format to HttpRunner JSON/YAML/gotest/pytest cases

```
hrp convert $path... [flags]
```

### Options

```
      --from-curl           load from curl format
      --from-har            load from HAR format
      --from-json           load from json case format (default true)
      --from-postman        load from postman format
      --from-yaml           load from yaml case format
  -h, --help                help for convert
  -d, --output-dir string   specify output directory
  -p, --profile string      specify profile path to override headers and cookies
      --to-json             convert to JSON case scripts (default true)
      --to-pytest           convert to pytest scripts
      --to-yaml             convert to YAML case scripts
```

### Options inherited from parent commands

```
      --log-json           set log to json format (default colorized console)
  -l, --log-level string   set log level (default "INFO")
      --venv string        specify python3 venv path
```

### SEE ALSO

* [hrp](hrp.md)	 - All-in-One Testing Framework for API, UI and Performance

###### Auto generated by spf13/cobra on 8-Jun-2025
